Uploaded image for project: 'Samza'
  1. Samza
  2. SAMZA-938

KV-store API changes should be backward compatible to 0.10

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.10.1
    • Fix Version/s: 0.10.1
    • Component/s: None
    • Labels:
      None

      Description

      SAMZA-813 introduced new methods in KeyValueStore and KeyValueIterator interface classes, which in JDK7, breaks the backward compatibility for customized implementation of KeyValueStore and KeyValueIterator.

      As 0.10.1 is a bug-fix release, we should make sure that the backward compatibility is retained. Hence, it would be better to have the extended interface classes to implement the seekable functions, instead of changing the existing classes.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jmakes Jake Maes
                Reporter:
                nickpan47 Yi Pan (Data Infrastructure)
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: